org.springframework.shell.core

## Class JLineLogHandler

- java.lang.Object
- - java.util.logging.Handler
  - - org.springframework.shell.core.JLineLogHandler

-     public class JLineLogHandler
      extends Handler

  JDK logging `Handler` that emits log messages to a JLine `ConsoleReader`.
  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JLineLogHandler(jline.console.ConsoleReader reader, ShellPromptAccessor shellPromptAccessor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `cancelRedrawProhibition()`
    `void` | `close()`
    `void` | `flush()`
    `static boolean` | `isSuppressDuplicateMessages()`
    `static void` | `prohibitRedraw()`
    `void` | `publish(LogRecord record)`
    `static void` | `resetMessageTracking()`
    `static void` | `setIncludeThreadName(boolean include)`
    `static void` | `setSuppressDuplicateMessages(boolean suppressDuplicateMessages)`

    - ### Methods inherited from class java.util.logging.Handler

      `getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JLineLogHandler

          public JLineLogHandler(jline.console.ConsoleReader reader,
                         ShellPromptAccessor shellPromptAccessor)

  - ### Method Detail

    - #### flush

          public void flush()

      Specified by:
        `flush` in class `Handler`

    - #### close

          public void close()
                     throws SecurityException

      Specified by:
        `close` in class `Handler`
      Throws:
        `SecurityException`

    - #### prohibitRedraw

          public static void prohibitRedraw()

    - #### cancelRedrawProhibition

          public static void cancelRedrawProhibition()

    - #### setIncludeThreadName

          public static void setIncludeThreadName(boolean include)

    - #### resetMessageTracking

          public static void resetMessageTracking()

    - #### isSuppressDuplicateMessages

          public static boolean isSuppressDuplicateMessages()

    - #### setSuppressDuplicateMessages

          public static void setSuppressDuplicateMessages(boolean suppressDuplicateMessages)

    - #### publish

          public void publish(LogRecord record)

      Specified by:
        `publish` in class `Handler`